#!/bin/bash

######################################
# Generate manpages from a directory #
# $0 file footer_file                #
######################################

function die ()
{
    echo "ERROR: $@" > /dev/stderr
    exit 1
}

[ $# -ne 3 ] && die "Invalid number of arguments, arguments were '$@'"

####################
# Global variables #
####################

FOOTER="$3" # Footer file
INPUT="$1"  # Where to find template .man files
OUTPUT="$2" # Where to put the generated files

#########################
# Functions and aliases #
#########################

function mk_manpage ()
{
    # $1: input
    # $2: output
    cat $1 > $2
    cat $FOOTER >> $2
    sed -i "s/___DATE___/$(date +'%B %d, %Y')/g" "$2"
    return $?
}

############
# The main #
############

mk_manpage $INPUT $OUTPUT
exit $?
